
import 'package:flutter_canvas_editor/widgets/elements.dart';

enum CanvasHistoryModifyType { add, remove, move, resize, lock, rotate, textEdit, redo}

class CanvasHistory {
  final CanvasHistoryModifyType type;
  List<ElementState> elementPropeties;

  CanvasHistory(this.type, this.elementPropeties);

  List<ElementState> get getState => elementPropeties;
}